#!/bin/bash

if grep "boot=live" /proc/cmdline; then
	exit 0
fi


target=/tmp/usb-wakeup-devices

enable_wakeup()
{
	cat $target | while read line; do
		mkpath=${line%/*}
		echo $mkpath
		if [ -e ${mkpath}/power/wakeup ]; then
			chmod +w ${mkpath}/power/wakeup
			echo enabled > ${mkpath}/power/wakeup
			chmod -w  ${mkpath}/power/wakeup
		fi
	done
}
	
# enable USB mouse to wakeup
grep [Mm][Oo][Uu][Ss][Ee] /sys/bus/usb/devices/*/product > $target 2>/dev/null
enable_wakeup

grep [Kk][Ee][Yy][Bb][Oo][Aa][Rr][Dd] /sys/bus/usb/devices/*/product > $target 2>/dev/null
enable_wakeup

if [ -f $target ]; then
	rm -f $target
fi
